Categories:
  - Sports & Health
License: GPL-3.0-only
AuthorName: noahjutz
AuthorEmail: noahjutz@tutanota.de
SourceCode: https://github.com/noahjutz/Splitfit
IssueTracker: https://github.com/noahjutz/Splitfit/issues
Changelog: https://github.com/noahjutz/Splitfit/releases
Liberapay: noahjutz

AutoName: Splitfit

RepoType: git
Repo: https://github.com/noahjutz/Splitfit.git

Builds:
  - versionName: 0.1.0-alpha6
    versionCode: 17
    commit: v0.1.0-alpha6
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 0.1.0-alpha8
    versionCode: 19
    commit: v0.1.0-alpha8
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 0.1.0-alpha9
    versionCode: 20
    commit: v0.1.0-alpha9
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 0.1.0-alpha10
    versionCode: 21
    commit: v0.1.0-alpha10
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 0.1.0-alpha11
    versionCode: 22
    commit: v0.1.0-alpha11
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 0.1.0-alpha12
    versionCode: 23
    commit: v0.1.0-alpha12
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 0.1.0-alpha13
    versionCode: 24
    commit: v0.1.0-alpha13
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e 's/gradle-7.0-rc-1/gradle-7.0/' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 0.1.0-alpha14
    versionCode: 25
    commit: v0.1.0-alpha14
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e 's/gradle-7.0-rc-1/gradle-7.0/' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 0.1.0-alpha15
    versionCode: 26
    commit: v0.1.0-alpha15
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e 's/gradle-7.0-rc-1/gradle-7.0/' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 0.1.0-alpha16
    versionCode: 27
    commit: v0.1.0-alpha16
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e 's/gradle-7.0-rc-1/gradle-7.0/' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 0.1.0-alpha17
    versionCode: 28
    commit: v0.1.0-alpha17
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e 's/gradle-7.0-rc-1/gradle-7.0/' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 0.1.0-alpha18
    versionCode: 29
    commit: v0.1.0-alpha18
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e 's/gradle-7.0-rc-1/gradle-7.0/' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 0.1.0-alpha19
    versionCode: 30
    commit: b00bc6ebfd6e0a25ffec6beb217a5aa9628d3955
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e 's/gradle-7.0-rc-1/gradle-7.0/' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 0.1.0-alpha20
    versionCode: 31
    commit: 766dc9a3a1f2304a073c04b408b6116acfe27375
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e 's/gradle-7.0-rc-1/gradle-7.0/' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 0.1.0-alpha21
    versionCode: 32
    commit: 9e5d470e5819c63254cbd1c0c4b5e7708b533b37
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e 's/gradle-7.0-rc-1/gradle-7.0/' ../gradle/wrapper/gradle-wrapper.properties

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 0.1.0-alpha21
CurrentVersionCode: 32
